Loading...
Searching...
No Matches
scene_conditions.h File Reference

Classes for managing conditions in scene files. More...

`#include "common/error.h"`
`#include "common/global.h"`
`#include "math/vector.h"`
`#include "object/drive_type.h"`
`#include "object/object_type.h"`
`#include "object/tool_type.h"`
Include dependency graph for scene_conditions.h:

## Classes

class | CObjectCondition
| Base object condition structure. More...
class | CSceneCondition
| Base scene condition structure. More...
class | CSceneEndCondition
| Scene end condition. More...
class | CAudioChangeCondition
| Audio change condition. More...

## Detailed Description

Classes for managing conditions in scene files.